GET
Get Payout Details

Authorizations

app-id
string
header
required

A unique identifier assigned to each application.

secret-key
string
header
required

A secure token associated with the app-id.

Query Parameters

uuid
string
required

Hello Clever payout payment UUID (global-level ID of the payout request).

child_uuid
string

UUID of an individual payout transaction inside payout_transactions[]. If both uuid and child_uuid are provided, the system will prioritize uuid (parent-level UUID).

Response

OK

uuid
string

Unique id in system.

Example:

"OHXTEF9M"

currency
string

Currency payout

Example:

"PHP"

payout_method_name
string
Example:

"ph_ewallet_gcash_php"

description
string

Description of payout payment.

Required string length: 1 - 90
Example:

"Payout payment 2023"

total_amount
string

Total amount of list payout transactions

Example:

"1000"

status
enum<string>

Status of payout payment

Available options:
created,
processing,
scheduled,
completed,
expired
Example:

"completed"

webhook_notification
object

Merchant Callback Details

scheduled_at
string<YYYY-MM-DDTHH:mm:ss>

Payout transaction to payee in this time. This datetime would be in UTC timezone.

Example:

"2023-04-01T00:00:00.000+0000"

payout_transactions
object[]
error_code
string

Error code for the batch. We have 2 error codes HC_PAYOUT1 (Insufficient funds to payout. Please topup balance in dashboard) and HC_PAYOUT2 (Insufficient Balance. Hello Clever will charge your PayTo agreement to pay out).

Example:

"HC_PAYOUT1"

error_message
string

A description corresponds to the value of the statusCode field.

Example:

"Insufficient available funds. Top up your balance."

external_id
string

Custom ID

Example:

"123"